# Uses of Interface
org.codehaus.commons.compiler.util.resource.Resource

Packages that use Resource
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.commons.compiler.jdk.util
org.codehaus.commons.compiler.util.resource
Classes related to loading "resources" (`ResourceFinder`) and creating resources (`ResourceCreator`).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Resource in org.codehaus.commons.compiler

Methods in org.codehaus.commons.compiler with parameters of type Resource
Modifier and Type
Method
Description
`void`
ICompiler.`compile(Resource[] sourceResources)`
See `ICompiler.compile(File[])`.

## Uses of Resource in org.codehaus.commons.compiler.jdk

Methods in org.codehaus.commons.compiler.jdk with parameters of type Resource
Modifier and Type
Method
Description
`void`
Compiler.`compile(Resource[] sourceResources)`
`void`
Compiler.`compile(Resource[] sourceResources, SortedSet<Location> offsets)`

## Uses of Resource in org.codehaus.commons.compiler.jdk.util

Methods in org.codehaus.commons.compiler.jdk.util with parameters of type Resource
Modifier and Type
Method
Description
`static JavaFileObject`
JavaFileObjects.`fromResource(Resource resource, String className, JavaFileObject.Kind kind, Charset charset)`
Wraps a `Resource` as a `JavaFileObject`.

## Uses of Resource in org.codehaus.commons.compiler.util.resource

Subinterfaces of Resource in org.codehaus.commons.compiler.util.resource
Modifier and Type
Interface
Description
`interface`
`LocatableResource`
A `Resource` that can be addressed by a URL.
Classes in org.codehaus.commons.compiler.util.resource that implement Resource
Modifier and Type
Class
Description
`class`
`FileResource`
Representation of a resource that is a `File`.
`class`
`StringResource`
A resource who's content is a `String`.
Methods in org.codehaus.commons.compiler.util.resource that return Resource
Modifier and Type
Method
Description
`Resource`
MapResourceFinder.`addResource(String fileName, byte[] data)`
Adds another `Resource`, so that it can later be found with `MapResourceFinder.findResource(String)`, `ResourceFinder.findResourceAsStream(String)` and `MapResourceFinder.resources()`.
`Resource`
MapResourceFinder.`addResource(String fileName, String data)`
`Resource`
MapResourceFinder.`addResource(Resource resource)`
Adds another `Resource`, so that it can later be found with `MapResourceFinder.findResource(String)`, `ResourceFinder.findResourceAsStream(String)` and `MapResourceFinder.resources()`.
`final Resource`
FileResourceFinder.`findResource(String resourceName)`
`final Resource`
MapResourceFinder.`findResource(String resourceName)`
`final Resource`
MultiResourceFinder.`findResource(String resourceName)`
`abstract Resource`
ResourceFinder.`findResource(String resourceName)`
Finds a resource by name and return it as a `Resource` object.
`final Resource`
ZipFileResourceFinder.`findResource(String resourceName)`
Methods in org.codehaus.commons.compiler.util.resource that return types with arguments of type Resource
Modifier and Type
Method
Description
`Iterable<Resource>`
DirectoryResourceFinder.`list(String resourceNamePrefix, boolean recurse)`
`abstract Iterable<Resource>`
ListableResourceFinder.`list(String resourceNamePrefix, boolean recurse)`
Returns all resources who's names start with a given string.
`Iterable<Resource>`
MapResourceFinder.`list(String resourceNamePrefix, boolean recurse)`
`Iterable<Resource>`
MultiResourceFinder.`list(String resourceNamePrefix, boolean recurse)`
`Collection<Resource>`
MapResourceFinder.`resources()`
Methods in org.codehaus.commons.compiler.util.resource with parameters of type Resource
Modifier and Type
Method
Description
`Resource`
MapResourceFinder.`addResource(Resource resource)`
Adds another `Resource`, so that it can later be found with `MapResourceFinder.findResource(String)`, `ResourceFinder.findResourceAsStream(String)` and `MapResourceFinder.resources()`.

## Uses of Resource in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Resource
Modifier and Type
Method
Description
`void`
Compiler.`compile(Resource[] sourceResources)`